BigW Consortium Gitlab

Commit bc1cb608 by David Frey

Remove trailing whitespace

parent 83211299
...@@ -19,7 +19,7 @@ DRV_VERSION=1.0.0 ...@@ -19,7 +19,7 @@ DRV_VERSION=1.0.0
# make line. # make line.
# #
# Make sure that arm-poky-linux-gnueabi-gcc is on you path. THe default location is: # Make sure that arm-poky-linux-gnueabi-gcc is on you path. THe default location is:
# /opt/swi/y17-ext/sysroots/x86_64-pokysdk-linux/usr/bin/arm-poky-linux-gnueabi # /opt/swi/y17-ext/sysroots/x86_64-pokysdk-linux/usr/bin/arm-poky-linux-gnueabi
# The location of the kernel build directory, should be some kind of environment # The location of the kernel build directory, should be some kind of environment
...@@ -33,8 +33,8 @@ TI_DRIVER_ROOT := /home/david/yocto-1.7/build_bin/tmp/work/swi_mdm9x15-poky-linu ...@@ -33,8 +33,8 @@ TI_DRIVER_ROOT := /home/david/yocto-1.7/build_bin/tmp/work/swi_mdm9x15-poky-linu
MT7697_QUEUES_ROOT := /home/david/mangOH/legato/drivers/mangoh/mt7697q MT7697_QUEUES_ROOT := /home/david/mangOH/legato/drivers/mangoh/mt7697q
# Pass version information to module # Pass version information to module
EXTRA_CFLAGS += -DVERSION=\"$(DRV_VERSION)\" -DDEBUG EXTRA_CFLAGS += -DVERSION=\"$(DRV_VERSION)\" -DDEBUG
EXTRA_CFLAGS += -DCPTCFG_NL80211_TESTMODE -DCPTCFG_CFG80211_DEFAULT_PS -DCPTCFG_CFG80211_DEBUGFS -DCPTCFG_CFG80211_WEXT EXTRA_CFLAGS += -DCPTCFG_NL80211_TESTMODE -DCPTCFG_CFG80211_DEFAULT_PS -DCPTCFG_CFG80211_DEBUGFS -DCPTCFG_CFG80211_WEXT
EXTRA_CFLAGS += -DCPTCFG_WEXT_CORE -DCPTCFG_WEXT_PROC -DCPTCFG_WEXT_SPY -DCPTCFG_WEXT_PRIV EXTRA_CFLAGS += -DCPTCFG_WEXT_CORE -DCPTCFG_WEXT_PROC -DCPTCFG_WEXT_SPY -DCPTCFG_WEXT_PRIV
# Kernel tree comes with some "defined but not used funnctions" warnings and # Kernel tree comes with some "defined but not used funnctions" warnings and
...@@ -78,7 +78,7 @@ dist-clean: clean ...@@ -78,7 +78,7 @@ dist-clean: clean
clean: clean:
$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) M=$(PWD) ARCH=$(ARCH) \ $(MAKE) -C $(KDIR) SUBDIRS=$(PWD) M=$(PWD) ARCH=$(ARCH) \
CROSS_COMPILE=$(CROSS_COMPILE) clean CROSS_COMPILE=$(CROSS_COMPILE) clean
@rm -f $(TARGET).o @rm -f $(TARGET).o
@rm -f $(TARGET).mod.c @rm -f $(TARGET).mod.c
@rm -f $(TARGET).mod.o @rm -f $(TARGET).mod.o
@rm -f $(TARGET).ko @rm -f $(TARGET).ko
......
...@@ -20,65 +20,65 @@ mt_wifi_start() { ...@@ -20,65 +20,65 @@ mt_wifi_start() {
sleep 2 sleep 2
fi fi
lsmod | grep 2_mt7697wifi_core >/dev/null lsmod | grep 2_mt7697wifi_core >/dev/null
if [ $? -eq 1 ]; then if [ $? -eq 1 ]; then
hw_itf=`echo $1 | tr '[A-Z]' '[a-z]'` hw_itf=`echo $1 | tr '[A-Z]' '[a-z]'`
insmod /legato/systems/current/modules/2-mt7697wifi_core.ko hw_itf=$hw_itf itf_idx_start=$2 || exit 127 insmod /legato/systems/current/modules/2-mt7697wifi_core.ko hw_itf=$hw_itf itf_idx_start=$2 || exit 127
echo "Initialized MT7697 WiFi core"; echo "Initialized MT7697 WiFi core";
sleep 2 sleep 2
fi fi
ifconfig -a | grep wlan$2 >/dev/null ifconfig -a | grep wlan$2 >/dev/null
if [ $? -ne 0 ] ; then if [ $? -ne 0 ] ; then
echo "Failed to init MT7697 WiFi core"; echo "Failed to init MT7697 WiFi core";
exit 127 exit 127
fi
ifconfig wlan$2 up >/dev/null
if [ $? -ne 0 ] ; then
echo "Failed to start MT7697 WiFi core";
exit 127
fi fi
echo "Started MT7697 WiFi $1 core wlan$2"; ifconfig wlan$2 up >/dev/null
} if [ $? -ne 0 ] ; then
echo "Failed to start MT7697 WiFi core";
exit 127
fi
mt_wifi_supplicant_stop() { echo "Started MT7697 WiFi $1 core wlan$2";
}
mt_wifi_supplicant_stop() {
echo "Stop MT7697 wpa_supplicant"; echo "Stop MT7697 wpa_supplicant";
kill `ps -eo pid,args --cols=10000 | awk '/^\/sbin\/wpa_supplicant|-D\s*wext/ && $1 != PROCINFO["pid"] { print $1 }'` kill `ps -eo pid,args --cols=10000 | awk '/^\/sbin\/wpa_supplicant|-D\s*wext/ && $1 != PROCINFO["pid"] { print $1 }'`
sleep 2 sleep 2
} }
mt_wifi_stop() { mt_wifi_stop() {
ifconfig | grep wlan$1 >/dev/null ifconfig | grep wlan$1 >/dev/null
if [ $? -eq 0 ]; then if [ $? -eq 0 ]; then
ifconfig wlan$1 down ifconfig wlan$1 down
fi fi
lsmod | grep 2_mt7697wifi_core >/dev/null lsmod | grep 2_mt7697wifi_core >/dev/null
if [ $? -eq 0 ]; then if [ $? -eq 0 ]; then
rmmod 2_mt7697wifi_core || exit 127 rmmod 2_mt7697wifi_core || exit 127
echo "Removed MT7697 WiFi core"; exit 127 echo "Removed MT7697 WiFi core"; exit 127
fi fi
} }
case "$1" in case "$1" in
start) start)
mt_wifi_start $2 $3 mt_wifi_start $2 $3
;; ;;
stop) stop)
mt_wifi_supplicant_stop mt_wifi_supplicant_stop
mt_wifi_stop $2 mt_wifi_stop $2
;; ;;
restart) restart)
mt_wifi_supplicant_stop mt_wifi_supplicant_stop
mt_wifi_stop $2 mt_wifi_stop $2
mt_wifi_start $2 $3 mt_wifi_start $2 $3
;; ;;
*) *)
exit 1 exit 1
;; ;;
esac
esac exit 0
exit 0
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment